%define name    frodo
%define version 4.2
%define cvsdate 20030707
%define distsuffix plf
%define rel %mkrel 3
%define release 0.%{cvsdate}.%{rel}

Summary:       The free portable C64 emulator
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source0:       Frodo4-%{cvsdate}.tar.bz2
Source10:      Frodo.16.png
Source11:      Frodo.32.png
Source12:      Frodo.48.png
License:       GPL
Group:         Emulators
Url:           http://frodo.cebix.net/
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildRequires: SDL-devel >= 1.2.0

%description
Frodo is a free, portable Commodore 64 emulator that runs on a variety
of platforms, with a focus on the exact reproduction of special graphical
effects possible on the C64.
 
Frodo comes in three flavours: The "normal" Frodo with a line-based
emulation, the improved line-based emulation "Frodo PC", and the
single-cycle emulation "Frodo SC" that is slower but far more compatible.

It is in plf because emulator can't be include in mandrake distribution

%prep
%setup -q -n Frodo4

%build
cd Src
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
cd Src
%makeinstall

cd ..
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/frodo/64prgs
rm -rf 64prgs/CVS
install -m644 64prgs/* $RPM_BUILD_ROOT/%{_datadir}/frodo/64prgs/

mkdir -p $RPM_BUILD_ROOT/{%{_miconsdir},%{_iconsdir},%{_liconsdir},%_menudir}

cat > $RPM_BUILD_ROOT/%{_menudir}/frodo <<EOF
?package(frodo): command="Frodo" icon="Frodo.png" section="Applications/Emulators" title="Frodo" longtitle="C64 Emulator, Classic Line Mode" needs="x11" xdg="true"
?package(frodo): command="FrodoPC" icon="Frodo.png" section="Applications/Emulators" title="FrodoPC" longtitle="C64 Emulator, Improved Line Mode" needs="x11" xdg="true"
?package(frodo): command="FrodoSC" icon="Frodo.png" section="Applications/Emulators" title="FrodoSC" longtitle="C64 Emulator, Single-Cycle Mode" needs="x11" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Frodo
Comment=C64 Emulator, Classic Line Mode
Exec=Frodo
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Emulators
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-pc.desktop << EOF
[Desktop Entry]
Name=FrodoPC
Comment=C64 Emulator, Improved Line Mode
Exec=Frodo
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Emulators
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-sc.desktop << EOF
[Desktop Entry]
Name=FrodoSC
Comment=C64 Emulator, Single-Cycle Mode
Exec=Frodo
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Emulators
EOF

install -m644 %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/Frodo.png
install -m644 %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/Frodo.png
install -m644 %{SOURCE12} $RPM_BUILD_ROOT/%{_liconsdir}/Frodo.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc COPYING CHANGES 
%doc Docs/*.html
%{_bindir}/Frodo
%{_bindir}/FrodoPC
%{_bindir}/FrodoSC
%{_bindir}/Frodo_GUI.tcl
"%{_datadir}/frodo/1541 ROM"
"%{_datadir}/frodo/Basic ROM"
"%{_datadir}/frodo/Char ROM"
"%{_datadir}/frodo/Kernal ROM"
%{_datadir}/frodo/64prgs
%{_miconsdir}/Frodo.png
%{_iconsdir}/Frodo.png
%{_liconsdir}/Frodo.png
%{_menudir}/frodo
%{_datadir}/applications/mandriva-%{name}*.desktop

%changelog
* Sun Aug 20 2006 Olivier Thauvin <nanardon@zarb.org> 4.2-0.20030707.3plf
- xdg menu

* Sun Apr 10 2005 Sylvie Terjan <erinmargault@zarb.org> 4.2-0.20030707.2plf
- rebuild for SDL-devel
- add plf reason
- remove redundant prefix tag

* Mon Dec 22 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-0.20030707.1plf
- plf introduction

* Sat Jul 05 2003 andi payn <payn@myrealbox.com> 4.2-0.20030707.1mdk
- CVS version (now GPL'd), essentially a 4.2rc except for docs
- borrowed heavily from new specfile in package

* Sat Jul 05 2003 andi payn <payn@myrealbox.com> 4.1b-1mdk
- Initial package

# end of file
